/* Copyright (C) 2006-2020 GSI Helmholtzzentrum fuer Schwerionenforschung, Darmstadt
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Denis Bertini [committer], Maksym Zyzak, Volodymyr Vovchenko, Florian Uhlig */

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class CbmKF + ;
#pragma link C++ class CbmKFPrimaryVertexFinder + ;
#pragma link C++ class CbmKFMath + ;
#pragma link C++ class CbmKFFieldMath + ;
#pragma link C++ class CbmKFHit + ;
#pragma link C++ class CbmKFStsHit + ;
#pragma link C++ class CbmKFUMeasurement + ;
#pragma link C++ class CbmKFPixelMeasurement + ;
#pragma link C++ class CbmKFTrackInterface + ;
#pragma link C++ class CbmKFVertexInterface + ;
#pragma link C++ class CbmKFTrack + ;
#pragma link C++ class CbmKFVertex + ;
#pragma link C++ class CbmKFMaterial + ;
#pragma link C++ class CbmKFTube + ;
#pragma link C++ class CbmKFBox + ;
#pragma link C++ class CbmKFWall + ;
#pragma link C++ class CbmKFCone + ;
#pragma link C++ class CbmStsKFTrackFitter + ;
#pragma link C++ class CbmPVFinderKF + ;
#pragma link C++ class CbmPVFinderKFGlobal + ;
#pragma link C++ class CbmKfTrackFitter + ;
#pragma link C++ class CbmKfFitTracksTask + ;

//#pragma link C++ class CbmTrackingDetectorInterfaceInit + ;
//KFQA
/*
#pragma link C++ class CbmKFPartEfficiencies + ;

#pragma link C++ class CbmKFTrErrMCPoints + ;
#pragma link C++ class CbmKFTrackFitQa + ;
#pragma link C++ class CbmKFTrackQa + ;
#pragma link C++ class KFParticleMatch + ;


#pragma link C++ class CbmKFParticleFinder + ;
#pragma link C++ class CbmKFParticleFinderPID + ;
#pragma link C++ class CbmKFParticleFinderQa + ;
#pragma link C++ class CbmKFParticleInterface + ;
*/

#endif
